Retrieve Usage Statistics

Retrieve bandwidth usage statistics for your Geonode proxy service account. This endpoint provides detailed information about your data consumption.

Request

curl -X GET "https://monitor.geonode.com/monitor-light/proxies" \
     -H "Authorization: Basic base64(username:password)"

Response

200 Success

Usage statistics retrieved successfully.

Response Fields

FieldTypeDescription
dataobjectContainer for usage statistics
data.bandwidthobjectBandwidth usage information
data.bandwidth.dataobjectDetailed bandwidth data
data.bandwidth.data.defaultintegerTotal bandwidth used in bytes
data.bandwidth.data.currentFastBandwidthintegerCurrent fast bandwidth usage (unlimited services only)
data.bandwidth.data.totalBandwidthInGBintegerTotal bandwidth used in gigabytes

Example Response

{
  "data": {
    "bandwidth": {
      "data": {
        "default": 17930356,
        "currentFastBandwidth": 0,
        "totalBandwidthInGB": 2
      }
    }
  }
}

On this page